<?php
// /catalog/includes/languages/english/header_tags.php
// WebMakers.com Added: Header Tags Generator v2.5.2
// Add META TAGS and Modify TITLE
//
// DEFINITIONS FOR /includes/languages/english/header_tags.php

// For all pages not defined or left blank, and for products not defined
// These are included unless you set the toggle switch in each section below to OFF ( '0' )
// The HEAD_TITLE_TAG_ALL is included AFTER the specific one for the page
// The HEAD_DESC_TAG_ALL is included AFTER the specific one for the page
// The HEAD_KEY_TAG_ALL is included AFTER the specific one for the page
define('HEAD_TITLE_TAG_ALL','New Store');
define('HEAD_DESC_TAG_ALL','New Store : Competitive in unserem Geschft');
define('HEAD_KEY_TAG_ALL','Neue Lager, neue Geschftsfelder, neue Website, Website, Websites, Website, Websites');

// DEFINE TAGS FOR INDIVIDUAL PAGES

// index.php
define('HTTA_DEFAULT_ON','0'); // Include HEAD_TITLE_TAG_ALL in Title
define('HTKA_DEFAULT_ON','0'); // Include HEAD_KEY_TAG_ALL in Keywords
define('HTDA_DEFAULT_ON','0'); // Include HEAD_DESC_TAG_ALL in Description
define('HTTA_CAT_DEFAULT_ON', '1'); //Include HEADER_TITLE_DEFAULT in CATEGORY DISPLAY
define('HEAD_TITLE_TAG_DEFAULT', 'New Store');
define('HEAD_DESC_TAG_DEFAULT','New Store : Competitive in unserem Geschft');
define('HEAD_KEY_TAG_DEFAULT','Neue Lager, neue Geschftsfelder, neue Website, Website, Websites, Website, Websites');

// all_products.php
define('HTTA_ALL_PRODUCTS_ON','1');
define('HTDA_ALL_PRODUCTS_ON','1');
define('HTKA_ALL_PRODUCTS_ON','1');
define('HEAD_TITLE_TAG_ALL_PRODUCTS','Alle unsere Produkte');
define('HEAD_DESC_TAG_ALL_PRODUCTS','Alles im Speicher');
define('HEAD_KEY_TAG_ALL_PRODUCTS','Alle Produkte');

// product_info.php - if left blank in products_description table these values will be used
define('HTTA_PRODUCT_INFO_ON','1');
define('HTKA_PRODUCT_INFO_ON','1');
define('HTDA_PRODUCT_INFO_ON','1');
define('HTTA_CAT_PRODUCT_DEFAULT_ON', '1');
define('HEAD_TITLE_TAG_PRODUCT_INFO','Produktinformation');
define('HEAD_DESC_TAG_PRODUCT_INFO','Spezifikationen, Spezifikt., Details');
define('HEAD_KEY_TAG_PRODUCT_INFO','Spezifikationen, Spezifikt., Details');

// products_new.php - whats_new
define('HTTA_WHATS_NEW_ON','1');
define('HTKA_WHATS_NEW_ON','1');
define('HTDA_WHATS_NEW_ON','1');
define('HEAD_TITLE_TAG_WHATS_NEW','Neue Produkte');
define('HEAD_DESC_TAG_WHATS_NEW','Unsere neuesten Produkte');
define('HEAD_KEY_TAG_WHATS_NEW','new products, recent additions');

// specials.php
// If HEAD_KEY_TAG_SPECIALS is left blank, it will build the keywords from the products_names of all products on special
define('HTTA_SPECIALS_ON','1');
define('HTKA_SPECIALS_ON','1');
define('HTDA_SPECIALS_ON','1');
define('HEAD_TITLE_TAG_SPECIALS','Specials');
define('HEAD_DESC_TAG_SPECIALS','Sachen auf Verkauf');
define('HEAD_KEY_TAG_SPECIALS','Verkauf, Diskont, spezielle, verringerte Kosten, Closeout, Abstand');

// product_reviews_info.php and product_reviews.php - if left blank in products_description table these values will be used
define('HTTA_PRODUCT_REVIEWS_INFO_ON','1');
define('HTKA_PRODUCT_REVIEWS_INFO_ON','1');
define('HTDA_PRODUCT_REVIEWS_INFO_ON','1');
define('HEAD_TITLE_TAG_PRODUCT_REVIEWS_INFO','Produkt-Berichte');
define('HEAD_DESC_TAG_PRODUCT_REVIEWS_INFO','Berichte ber unsere Produkte lesen und schreiben');
define('HEAD_KEY_TAG_PRODUCT_REVIEWS_INFO','Produktberichte, Berichtprodukte, Berichte, Produktmeinungen, Meinung');

?>