<?php
/*
  $Id: listings_pending.php,v 1.2 2006/01/28 22:14:17 auctionblox Exp $

  AuctionBlox, sell more, work less!
  http://www.auctionblox.com

  Copyright (c) 2004 AuctionBlox
*/

  if (class_exists('abxPaginator_Listings') === false) {

    require_once(DIR_FS_ABX_PAGINATORS . 'listings.php');

  }

  class abxPaginator_Listings_Pending extends abxPaginator_Listings {


    function tableDataHeadings()
    {
      return array(
        array('heading' => HEADING_LISTING_TITLE, 'sort_field' => 'ext_title'),
        array('heading' => HEADING_LISTING_SITE, 'sort_field' => 'site'),
        array('heading' => HEADING_LISTING_TYPE, 'sort_field' => 'listing_type'),
        array('heading' => HEADING_LISTING_TRIGGER_STATE, 'sort_field' => 'trigger_state'),
        array('heading' => HEADING_LISTING_TRIGGER_TYPE, 'sort_field' => 'trigger_type'),
        array('heading' => HEADING_LISTING_NEXT_DATE, 'sort_field' => 'date_next'),
        array('heading' => HEADING_LISTING_CREATE_DATE, 'sort_field' => 'date_first'),
        array('heading' => HEADING_LISTING_EXPIRY_DATE, 'sort_field' => 'date_end'),
        array('heading' => HEADING_LISTING_REPEAT_COUNT, 'sort_field' => 'repeat_count')
      );
    }

    function tableDataRowContents($array)
    {
      global $currencies;

      $listingTypes = abxConstants::getListingTypesShort();

      return '<td>' . $this->cellWrap($array['ext_title'],150) . '</td>'.
             '<td>' . $this->cell($array['site']) . '</td>'.
             '<td>' . $this->cell($listingTypes[$array['listing_type']]) . '</td>'.
             '<td>' . $this->cell($array['trigger_state']) . '</td>'.
             '<td>' . $this->cell($array['trigger_type']) . '</td>'.
             '<td align="right">' . $this->cellWrapDate(gmt_date_to_local_pretty_format($array['date_next'])) . '</td>'.
             '<td align="right">' . $this->cellWrapDate(gmt_date_to_local_pretty_format($array['date_first'])) . '</td>'.
             '<td align="right">' . $this->cellWrapDate(gmt_date_to_local_pretty_format($array['date_end'])) . '</td>'.
             '<td align="right">' . $this->cell($array['repeat_count'] . '&nbsp;/&nbsp;' . $array['repeat_total']);
    }
    
    function bulkActions()
    {
      return array(
        'DeleteItems'    => array('icon'=>'delete.gif','alt'=>ACTION_DELETE,'onclick' => "confirmBulkAction('".JAVASCRIPT_CONFIRM_DELETE."','".TEXT_LISTINGS."','DeleteConfirm');"),
        'RelistListings' => array('icon'=>'uploads.gif','alt'=>ACTION_RELIST,'action'=>'scheduler'),
        'CancelListings' => array('icon'=>'cancel.gif','alt'=>ACTION_CANCEL_LISTINGS,'onclick' => "confirmBulkAction('".JAVASCRIPT_CONFIRM_CANCEL."','".TEXT_LISTINGS."','CancelListings','uploader','abx_uploader');")
      );
    }    

  }//end class
?>