<?php
/*
  $Id: auction_lister.php,v 1.1.1.1 2004/09/22 14:35:55 auctionblox Exp $
 
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
 
  Copyright (c) 2003 osCommerce
  
  This file is part of the eBay Auction Manager for osCommerce
  http://www.auctionblox.com/oscommerce
 
  Copyright (c) 2003, AuctionBlox.com  
 
  Released under the GNU General Public License
*/
  require_once(DIR_WS_FUNCTIONS . 'array_ext.php');
  require_once(DIR_WS_CLASSES . 'auction_helper.php');
  require_once(DIR_WS_CLASSES . 'auction_api.php');
  
  class auctionLister 
  {
    var $PENDING = 'P';
    var $SUBMITTED = 'S';
    var $SUCCESS = 'C';
	var $FAILURE = 'F';
	
	// constructor
	function auctionLister() 
	{
    }
	
	function addTemplate()
	{
		$dbListings = $this->buildSQLArray($this->data);

		// Add name!
		$dbListings['name'] = tep_db_prepare_input($vars['name']);

		if($this->existsTemplate($dbListings))
			return $this->updateTemplate($dbListings);
		else
			return $this->insertTemplate($dbListings);
	}
	
	function addToUpload($listing, $product = array())
	{	
		$upload = $this->replacesTags($listing, $product);
		$this->insertUpload($upload);
	}

	function getListing($oID)
	{
		$query = tep_db_query("select * from " . TABLE_AUCTION_LISTINGS . " where id = $oID"); 
		if($record = tep_db_fetch_array($query)) 
			return $record;
		else
			return array();
	}
	
	function getTemplate($oID)
	{
		$query = tep_db_query("select * from " . TABLE_AUCTION_TEMPLATES . " where id = $oID"); 
		if($record = tep_db_fetch_array($query)) 
			return $record;
		else
			return array();
	}

	function getUpload($oID)
	{
		$query = tep_db_query("select * from " . TABLE_AUCTION_UPLOADS . " where id = $oID"); 
		if($record = tep_db_fetch_array($query)) 
			return $record;
		else
			return array();
	}	
//      $oListing->shipping = array();
//      $oListing->payment = array();
	
	
	function buildSQLArray($vars)
	{
		$dbProduct = array('title' => tep_db_prepare_input($vars['title']),
                           'subtitle' => tep_db_prepare_input($vars['subtitle']),
						   'site' => tep_db_prepare_input($vars['site']),
						   'region' => tep_db_prepare_input($vars['region']),
						   'city_state' => tep_db_prepare_input($vars['city_state']),
						   'country' => tep_db_prepare_input($vars['country']),
                           'listing_type' => tep_db_prepare_input($vars['listing_type']),
                           'store_category' => tep_db_prepare_input($vars['store_category']),
                           'category1' => tep_db_prepare_input($vars['category1']),
                           'category2' => tep_db_prepare_input($vars['category2']),
                           'duration' => tep_db_prepare_input($vars['duration']),
						   'picture1_url' => tep_db_prepare_input($vars['picture1_url']),
						   'picture2_url' => tep_db_prepare_input($vars['picture2_url']),
						   'picture3_url' => tep_db_prepare_input($vars['picture3_url']),
						   'picture4_url' => tep_db_prepare_input($vars['picture4_url']),
						   'picture5_url' => tep_db_prepare_input($vars['picture5_url']),
						   'picture6_url' => tep_db_prepare_input($vars['picture6_url']),
						   'picture7_url' => tep_db_prepare_input($vars['picture7_url']),
						   'picture8_url' => tep_db_prepare_input($vars['picture8_url']),
                           'quantity' => tep_db_prepare_input($vars['quantity']),
                           'price' => tep_db_prepare_input($vars['price']),
                           'bin_price' => tep_db_prepare_input($vars['bin_price']),
                           'reserve_price' => tep_db_prepare_input($vars['reserve_price']),
                           'currency' => tep_db_prepare_input($vars['currency']),
                           'paypal_accepted' => tep_db_prepare_input($vars['paypal_accepted']),
                           'paypal_immediate_pay' => tep_db_prepare_input($vars['paypal_immediate_pay']),
                           'paypal_email' => tep_db_prepare_input($vars['paypal_email']),
                           'payment_mastercard_visa' => tep_db_prepare_input($vars['payment_mastercard_visa']),
                           'payment_cod' => tep_db_prepare_input($vars['payment_cod']),
                           'payment_amex' => tep_db_prepare_input($vars['payment_amex']),
                           'payment_discover' => tep_db_prepare_input($vars['payment_discover']),
                           'payment_moneyorder_cashiers' => tep_db_prepare_input($vars['payment_moneyorder_cashiers']),
                           'payment_check' => tep_db_prepare_input($vars['payment_check']),
                           'payment_other' => tep_db_prepare_input($vars['payment_other']),
                           'payment_description' => tep_db_prepare_input($vars['payment_description']),
                           'sales_tax_state' => tep_db_prepare_input($vars['sales_tax_state']),
                           'sales_tax_percent' => tep_db_prepare_input($vars['sales_tax_percent']),
                           'sales_tax_sandh' => tep_db_prepare_input($vars['sales_tax_sandh']),
                           'shipping_type' => tep_db_prepare_input($vars['shipping_type']),
                           'shipping_location' => tep_db_prepare_input($vars['shipping_location']),
                           'shipping' => tep_db_prepare_input($vars['shipping']),
                           'shipping_addl' => tep_db_prepare_input($vars['shipping_addl']),
                           'insurance_option' => tep_db_prepare_input($vars['insurance_option']),
                           'insurance' => tep_db_prepare_input($vars['insurance']),
						   'shipping_description' => tep_db_prepare_input($vars['shipping_description']),
						   'extra_private' => tep_db_prepare_input($vars['extra_private']),
						   'extra_bold' => tep_db_prepare_input($vars['extra_bold']),
						   'extra_highlight' => tep_db_prepare_input($vars['extra_highlight']),
						   'extra_gallery' => tep_db_prepare_input($vars['extra_gallery']),
						   'extra_gallery_url' => tep_db_prepare_input($vars['extra_gallery_url']),
						   'extra_category_featured' => tep_db_prepare_input($vars['extra_category_featured']),
						   'extra_homepage_featured' => tep_db_prepare_input($vars['extra_homepage_featured']),
						   'counter' => tep_db_prepare_input($vars['counter']),
						   'description' => tep_db_prepare_input($vars['description']),
						   'products_id' => tep_db_prepare_input($vars['products_id']),
						   'last_modified' => 'now()');
	
		// remove any nulls
		return $dbProduct;
	}
	
	function saveListing($data)
	{
//		$dbListings = $this->buildSQLArray($data);

		if($this->existsListing($data))
			return $this->updateListing($data);
		else
			return $this->insertListing($data);
	}
	
	function deleteListing($id)
	{
		tep_db_query("delete from " . TABLE_AUCTION_LISTINGS . " where id = '$id' limit 1");
	}
	
	function deleteTemplate($id)
	{
		tep_db_query("delete from " . TABLE_AUCTION_TEMPLATES . " where id = '$id' limit 1");
	}	
	
	function existsListing($data)
	{
		$id = $data['id'];
		$query = tep_db_query("select * from " . TABLE_AUCTION_LISTINGS . " where id = '$id' limit 1");
		if(tep_db_num_rows($query) == 1)
			return true;
		return false;	
	}

	function insertListing($listing, $product = array())
	{
		unset($listing['id']);

		$listing = $this->replacesTags($listing, $product);
		
		$dbListing = $this->buildSQLArray($listing);
		$auction_query = tep_db_perform(TABLE_AUCTION_LISTINGS, $dbListing);
		return tep_db_insert_id();
	}
	
	function updateListing($data, $id)
	{
		$dbListing = $this->buildSQLArray($data);
		$auction_query = tep_db_perform(TABLE_AUCTION_LISTINGS, $dbListing, 'update', "id = '$id'");
		return $id;
	}
	
	function existsTemplate($dbListing)
	{
		$name = trim($dbListing['name']);
		$query = tep_db_query("select * from " . TABLE_AUCTION_TEMPLATES . " where name = '$name' limit 1");
		if(tep_db_num_rows($query) == 1)
			return true;
		return false;
	}
		
	function insertTemplate($data)
	{
		unset($data['id']);
		$dbListing = $this->buildSQLArray($data);
		$dbListing['name'] = trim($data['name']);
		
		$auction_query = tep_db_perform(TABLE_AUCTION_TEMPLATES, $dbListing);
		return tep_db_insert_id();
	}
	
	function updateTemplate($data, $id)
	{
		$dbListing = $this->buildSQLArray($data);
		$dbListing['name'] = trim($data['name']);

		$auction_query = tep_db_perform(TABLE_AUCTION_TEMPLATES, $dbListing, 'update', "id = $id");

		return $id;
	}
	
	function deleteUpload($id)
	{
		tep_db_query("delete from " . TABLE_AUCTION_UPLOADS . " where id = '$id' limit 1");
	}

	function insertUpload($data)
	{
		unset($data['id']);
		$dbListing = $this->buildSQLArray($data);

		$dbListing['calc_status'] = $this->PENDING;
		$dbListing['upload_status'] = $this->PENDING;
		$dbListing['time_start'] = trim($data['time_start']);
		
//		$title = $dbListing['title'];
//		for($i=0; $i < 1000; $i++)
//		{
			// Generate a Unique GUID for the UUID Parameter
			$dbListing['uuid'] = md5(uniqid(rand(), true));
//			$dbListing['title'] = 'run9, count'.$i.':'.$title;
			$auction_query = tep_db_perform(TABLE_AUCTION_UPLOADS, $dbListing);
//		}
		return tep_db_insert_id();
	}
	
	function updateUpload($data, $id)
	{
		$dbListing = $this->buildSQLArray($data);
		
		$dbListing['calc_status'] = $this->PENDING;
		$dbListing['upload_status'] = $this->PENDING;
		$dbListing['time_start'] = trim($data['time_start']);
		$dbListing['uuid'] = md5(uniqid(rand(), true));
				
		$auction_query = tep_db_perform(TABLE_AUCTION_UPLOADS, $dbListing, 'update', "id = $id");
		return $id;
	}

	function getTemplatesForDropdown()
	{
		$templates_query = tep_db_query("SELECT * FROM " . TABLE_AUCTION_TEMPLATES);
		while ($templates = tep_db_fetch_array($templates_query))
		{
			$template_list[] = array('id' => $templates['id'],
       			                	 'text' => $templates['name']);
		}
		return $template_list;
	}	

	function getListings($page_num = 1, &$split, $sort = null, $search = null)
	{
		$listings_query_raw="select * from " . TABLE_AUCTION_LISTINGS . " where 1 ";
		
		if($search != null && is_array($search))
		{
			$listings_query_raw .= " and " . $search['name'] . " like '%" . $search['value'] . "%'";
		}
		if($this->seller_id!=0){
		$listings_query_raw .= " and auction_seller_id='" .$this->seller_id."'";
		}
		if($sort != null && is_array($sort))
		{
			$listings_query_raw .= " order by " . $sort['name'] . " " . $sort['value'];			
		}
		else
		{
			$listings_query_raw .= " order by last_modified desc";
		}
		
		return $this->query($listings_query_raw, $page_num, $split);
	}
	
	function getTemplates($page_num = 1, &$split, $sort = null, $search = null)
	{
		$templates_query_raw="select at.* from " . TABLE_AUCTION_TEMPLATES . " at where 1 ";
		
		if($search != null && is_array($search))
		{
			$templates_query_raw .= " and " . $search['name'] . " like '%" . $search['value'] . "%'";
		}
		if($this->seller_id!=0){
		$templates_query_raw .= " and auction_seller_id='" .$this->seller_id."'";
		}
		if($sort != null && is_array($sort))
		{
			$templates_query_raw .= " order by " . $sort['name'] . " " . $sort['value'];			
		}
		else
		{
			$templates_query_raw .= " order by at.last_modified desc";
		}
		
		return $this->query($templates_query_raw, $page_num, $split);
	}
	
	function getUploads($page_num = 1, &$split, $status = 'P',$sort = null, $search = null)
	{
		$uploads_query_raw="select au.* from " . TABLE_AUCTION_UPLOADS . " au where 1 ";
		
		$uploads_query_raw .= " and upload_status = '$status'";
		
		if($search != null && is_array($search))
		{
			$uploads_query_raw .= " and " . $search['name'] . " like '%" . $search['value'] . "%'";
		}
		if($this->seller_id!=0){
		$uploads_query_raw .= " and auction_seller_id='" .$this->seller_id."'";
		}
		if($sort != null && is_array($sort))
		{
			$uploads_query_raw .= " order by " . $sort['name'] . " " . $sort['value'];			
		}
		else
		{
			$uploads_query_raw .= " order by au.id desc";
		}
		
		return $this->query($uploads_query_raw, $page_num, $split);
	}
	
	function getProducts($page_num = 1, &$split, $sort = null, $search = null)
	{
		global $languages_id;
			
  		$query_raw = "select p.*, pd.products_name, pfs.domestic_shipping, pfs.domestic_shipping_addl from " . TABLE_PRODUCTS . " p LEFT JOIN " . TABLE_PRODUCTS_DESCRIPTION . " pd using (products_id) LEFT JOIN " . TABLE_PRODUCTS_FIXED_SHIPPING . " pfs using (products_id) where pd.language_id = " . (int)$languages_id;

		if($search != null && is_array($search))
		{
			$query_raw .= " and " . $search['name'] . " like '%" . $search['value'] . "%'";
		}
		
		if($sort != null && is_array($sort))
		{
			$query_raw .= " order by " . $sort['name'] . " " . $sort['value'];			
		}
		else
		{
			$query_raw .= " order by p.products_last_modified desc, pd.products_name asc";
		}
		return $this->query($query_raw, $page_num, $split);
	}
	
	function query($query_raw, $page_num, &$split)
	{
    	$split = new splitPageResults($page_num, MAX_DISPLAY_SEARCH_RESULTS, $query_raw, $num_rows);
		$query = tep_db_query($query_raw);
 
		$retArray = array();
		while ($record = tep_db_fetch_array($query)) 
		{
			$retArray[] = $record;
		}
		return $retArray;
	}

	function calculateListings($post_vars)
	{
		$api = new auctionAPI();

		(sizeof($affectedItems) > MAX_NUM_PROCESS_UPLOAD ) ? $max_count = MAX_NUM_PROCESS_UPLOAD : $max_count = sizeof($affectedItems);
		for($i=0; $i < $max_count; $i++)
	  	{
			$upload = $this->getUpload($affectedItems[$i]);
			$response = $api->calculateListing($upload);
			if(substr($response['code'], 0, 7) === 'success')
			{
				$fee = $response['fee'];
				tep_db_query("update " . TABLE_AUCTION_UPLOADS . " set calc_status =  '" . $this->SUCCESS . "', upload_status = '" . $this->PENDING . "', fees = $fee, ebay_status_text = '' where id = " . $listing['id']);
			}
			else
			{
				$msg = addslashes($response['message']);
				tep_db_query("update " . TABLE_AUCTION_UPLOADS . " set calc_status = '" . $this->FAILURE . "', upload_status = '" . $this->FAILURE . "', ebay_status_text = '$msg' where id = " . $listing['id']);
			}
		}
		return $i;
	}
	
	function uploadListings($affectedItems)
	{
		$api = new auctionAPI();

		(sizeof($affectedItems) > MAX_NUM_PROCESS_UPLOAD ) ? $max_count = MAX_NUM_PROCESS_UPLOAD : $max_count = sizeof($affectedItems);
		for($i=0; $i < $max_count; $i++)
	  	{
			$upload = $this->getUpload($affectedItems[$i]);
			$response = $api->uploadListing($upload);
			if(substr($response['code'], 0, 7) === 'success')
			{
				$fee = $response['fee'];
				tep_db_query("update " . TABLE_AUCTION_UPLOADS . " set calc_status =  '" . $this->SUCCESS . "', fees = $fee, upload_status = '" . $this->SUCCESS . "', ebay_status_text = '' where id = " . $affectedItems[$i]);
			}
			else
			{
				$msg = addslashes($response['message']);
				tep_db_query("update " . TABLE_AUCTION_UPLOADS . " set upload_status = '" . $this->FAILURE . "', ebay_status_text = '$msg' where id = " . $affectedItems[$i]);
			}
		}
		return $i;
	}
	
	function getCountryIsoCode2()
	{
		$countries_query_raw = "select countries_iso_code_2 from " . TABLE_COUNTRIES . " where countries_id = " . STORE_COUNTRY;
		$countries_query = tep_db_query($countries_query_raw);
		if($countries = tep_db_fetch_array($countries_query))
		{
			$code = $countries['countries_iso_code_2'];
			if(trim(strtoupper($code)) === "GB")
				$code = "UK";

			return $code;
		}

		return null;
	}
	
	function getStoreCategories()
	{
		$cats_array = explode(",", EBAY_STORE_CATEGORIES);

		$new_cats_array = array();
		$new_cats_array[] = array("id" => '', 'text' => TEXT_EBAY_STORE_CATEGORY_NONE);
		$new_cats_array[] = array("id" => '1', 'text' => TEXT_EBAY_STORE_CATEGORY_OTHER);

		$count = 2;
		foreach($cats_array as $unused => $cat)
		{
			$new_cats_array[] = array("id" => $count, 'text' => $cat);
			$count++;
		}
		return $new_cats_array;
	}
	
	function replacesTags($listing, $product)
	{
		$custom = array('STORE_OWNER' => STORE_OWNER,
						'STORE_EMAIL' => STORE_EMAIL,
						'OWNER_NAME' => OWNER_NAME,
						'NBSP' => '&nbsp;');

		// Make fully-qualified URL				
		$product['products_image'] = trim($product['products_image']);
		if(strlen($product['products_image']) > 0 && 
		  (strtolower(substr($product['products_image'], 0, 7)) !== "http://" &&
 		   strtolower(substr($product['products_image'], 0, 6)) !== "ftp://"))
		{
			$product['products_image'] = HTTP_CATALOG_SERVER . DIR_WS_CATALOG_IMAGES . $product['products_image'];
		}
		
		$values = array_merge($listing, $product, $custom);
		foreach($values as $key => $value)
		{
		  $tags[] = '{'.strtoupper($key).'}';
		}
		
		$ret = array();
		foreach($listing as $key => $value)
		{
			$ret[$key] = str_replace($tags, $values, $value);
		}
		
		//also post-process the title, subtitle, and description field since
		//their *value* may contain replacement params
	    $ret['title'] = str_replace($tags, $values, $ret['title']);
	    $ret['subtitle'] = str_replace($tags, $values, $ret['subtitle']);
	    $ret['description'] = str_replace($tags, $values, $ret['description']);

		return $ret;
	}
  }
?>
