<?php
/*
  $Id: auction_upload.php,v 1.0 2003/12/29 Auctionblox Exp $
 
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
 
  Copyright (c) 2003 osCommerce
  
  This file is part of the eBay Auction Manager for osCommerce
  http://www.auctionblox.com/oscommerce
 
  Copyright (c) 2003, AuctionBlox.com  
 
  Released under the GNU General Public License
*/

  require_once(DIR_WS_FUNCTIONS . 'array_ext.php');
  require_once(DIR_WS_CLASSES . 'auction_listing.php');

  class auctionListings 
  {
    // constructor
	function auctionListings() {
    }
	
	function getSoldItems($page_num = 1, &$auction_split, $search = null, $sort = null)
	{
		return $this->query("select * from " . TABLE_AUCTION_ITEMS . " where quantity_sold > 0", $page_num, $auction_split, $search, $sort);
	}

	function getUnsoldItems($page_num = 1, &$auction_split, $search = null, $sort = null)
	{
		return $this->query("select * from " . TABLE_AUCTION_ITEMS . " where quantity_sold = 0", $page_num, $auction_split, $search, $sort);
	}
	
	function getEndedItems($page_num = 1, &$auction_split, $search = null, $sort = null)
	{
		return $this->query("select * from " . TABLE_AUCTION_ITEMS . " where status = 'E'", $page_num, $auction_split, $search, $sort);
	}
	
	function getActiveItems($page_num = 1, &$auction_split, $search = null, $sort = null)
	{
		$query = "select * from " . TABLE_AUCTION_ITEMS . " where status = 'A'";
		return $this->query($query, $page_num, $auction_split, $search, $sort);
	}

	function getPendingItems($page_num = 1, &$auction_split, $search = null, $sort = null)
	{
		return $this->query("select * from " . TABLE_AUCTION_ITEMS . " where status = 'P'", $page_num, $auction_split, $search, $sort);
	}

	function getAllItems($page_num = 1, &$auction_split, $search = null, $sort = null)
	{
		return $this->query("select * from " . TABLE_AUCTION_ITEMS . " where 1", $page_num, $auction_split, $search, $sort);
	}
		
	function query($query, $page_num, &$auction_split, $search = null, $sort = null)
	{
		if($search != null && is_array($search))
		{
			$query .= " and " . $search['name'] . " like '%" . $search['value'] . "%'";
		}
		if($sort != null && is_array($sort))
		{
			$query .= " order by " . $sort['name'] . " " . $sort['value'];			
		}
		
    	$auction_split = new splitPageResults($page_num, MAX_DISPLAY_SEARCH_RESULTS, $query, $num_rows);
		$auction_query = tep_db_query($query);
 
		$retArray = array();
		$auctionListing = new auctionListing;
		while ($auction = tep_db_fetch_array($auction_query)) 
		{
			$retArray[] = $auctionListing->fromSQLArray($auction);
		}		
		return $retArray;
	}
	
	function removeByID($id)
	{
		tep_db_query("delete from " . TABLE_AUCTION_ITEMS . " where auction_item_id = $id");
		return;
	}	
  }
?>
