<?php
/*
  $Id: abxCheckout.php,v 1.14 2007/01/13 02:16:46 auctionblox Exp $

  AuctionBlox, sell more, work less!
  http://www.auctionblox.com

  Copyright (c) 2004 AuctionBlox
*/

  class_exists('abxManager') || require_once(dirname(__FILE__).'/abxManager.php');

  if (!class_exists('abxDatabase')) {
    require_once dirname(__FILE__).'/abxDatabase.php';
    $GLOBALS['abxDatabase']
      = &abxDatabase::connect(DB_SERVER, DB_SERVER_USERNAME, DB_SERVER_PASSWORD);
    $GLOBALS['abxDatabase']->selectDatabase(DB_DATABASE);
  }

  class abxCheckout extends abxManager {

    var $email_address,
        $contents;

    function canCheckout($auctions)
    {
      return true;
    }

    //osC_SuperCart
    function getSales($email_address)
    {
      return $this->getSalesWithStatus($email_address, $this->ENDED);
    }

    function getSalesWithStatus($email_address, $status)
    {
      global $abxDatabase, $languages_id, $currencies;

      $this->email_address = $email_address;

      $auctionQuery = $abxDatabase->query(
        " select a.auction_basket_id as id, a.*, " .
        " b.ext_email_address, " .
        " b.ext_customer_id, " .
        " si.* " .
        " from " . TABLE_ABX_BASKET . " a " .
        " LEFT JOIN " . TABLE_ABX_SITES . " si using (auction_house_id, site)" .
        " LEFT JOIN " . TABLE_ABX_WINNERS . " b on (a.auction_winner_id = b.auction_winner_id)" .
        " where b.ext_email_address = '" . addslashes($email_address) . "'" .
        " and a.listing_status = " . $status .
        " order by a.time_end desc"
      );
      
      while($auctions = $auctionQuery->next()) {

        $this->contents[] = array(
          'id'                  => $auctions['auction_basket_id'],
          'auction_house_id'    => $auctions['auction_house_id'],
          'auction_house_label' => $auctions['auction_house_label'],
          'site'                => $auctions['site'],
          'listing_type'        => $auctions['listing_type'],
          'ext_id'              => $auctions['ext_id'],
          'item_url'            => sprintf($auctions['url'], $auctions['ext_id']),
          'ext_title'           => $auctions['ext_title'],
          'qty'                 => $auctions['quantity'],
          'currency'            => $auctions['currency'],
          'price_start'         => $auctions['price_start'],
          'price_end'           => $auctions['price_end'],
          'insurance'           => $auctions['insurance'],
          'insurance_option'    => $auctions['insurance_option'],
          'shipping_type'       => $auctions['shipping_type'],
          'shipping'            => $auctions['shipping'],
          'shipping_global'     => $auctions['shipping_global'],
          'tax'                 => $auctions['sales_tax'],
          'time_start'          => $auctions['time_start'],
          'time_end'            => $auctions['time_end'],
          'status_id'           => $status,
          'buyer_id'            => $auctions['ext_customer_id'],
          'email'               => $auctions['ext_email_address'],
          'orders_id'           => $auctions['orders_id'],
          'product_id'          => $auctions['products_id'],
          
          'payment_provider'    => $auctions['payment_provider'],
          'payment_transaction_id' => $auctions['payment_transaction_id'],
          'payment_timestamp'   => $auctions['payment_timestamp'],
          'payment_currency'    => $auctions['payment_currency'],
          'payment_amount'      => $auctions['payment_amount'],
          'payment_fee'         => $auctions['payment_fee'],          

// Removed reference to $currencies global variable since it may not always 
// be declared when this class in included.  We need to create a class
// registry to lookup these damn globals.
/*  
          'price_converted'             => $currencies->convertCurrency($auctions['price_end'], $auctions['currency']),
          'shipping_domestic_converted' => $currencies->convertCurrency($auctions['shipping'], $auctions['currency']),
          'shipping_global_converted'   => $currencies->convertCurrency($auctions['shipping_global'], $auctions['currency']),
          'insurance_converted'         => $currencies->convertCurrency($auctions['insurance'], $auctions['currency'])
*/          
          
        );
      }

      return $this->contents;
    }

  }//end class
?>