<?php
/*
  $Id: generator.php,v 1.11 2007/04/01 01:19:13 auctionblox Exp $

  AuctionBlox, sell more, work less!
  http://www.auctionblox.com

  Copyright (c) 2004 AuctionBlox
*/

  require_once(DIR_FS_ABX_CLASSES . 'abxItemTemplates.php');
  require_once(DIR_FS_ABX_CLASSES . 'Page/abxPageFactory.php');  
  require_once DIR_FS_ABX_CLASSES . 'Page/abxCollatedPaginator.php';
  require_once(DIR_FS_ABX_CLASSES . 'catalog/abxCatalogService.php');  

  class abxModule_Generator extends abxModule {

    function abxModule_Generator()
    {
      if (empty($_POST) === false)
        $this->process();
    }

    function process()
    {
      switch($_POST['perform']) 
      {
        case 'GenerateConfirm':
          $abxItemTemplates = new abxItemTemplates;
          $abxItemTemplates->generateItems($_POST);
          abxPage::redirect(abx_href_link(FILENAME_AUCTIONBLOX,'abx=items'));
          break;
      }
    }

    function display()
    {
      $abxItemTemplates = new abxItemTemplates;

      $page = abxPageFactory::newCollatedPaginator('items_generator');

      $page->paginatorQuery( $abxItemTemplates->getProductsQuery($page->filterBy()) );
      $page->addChildQuery("products_id", "app_data", "select app_data, sum(quantity)-sum(quantity_sold) as quantity_active FROM abx_listings WHERE status = 'A'", "GROUP BY app_data");          

      $page->addJavaScript('items_generator.js');

      $page->includeLanguageFile('items_generator');
      $page->generatePaginatorContent();

      return $page;
    }

  }//end class
?>